## qubes-input-proxy 1.0.14

=== debian/changelog ===
qubes-input-proxy (1.0.14-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Sun, 10 Mar 2019 01:49:37 +0100

qubes-input-proxy (1.0.14-1) unstable; urgency=medium

  * debian: don't create orig.tar.gz manually
  * tests: round coordinates received from X server
  * tests: drop right and middle buttons from emulated touchscreen
  * tests: try not to hit the menu on tablet tests

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 10 Mar 2019 01:49:37 +0100

qubes-input-proxy (1.0.13-1) unstable; urgency=medium

  * rpm: add BR: gcc
  * rpm: name python2 explicitly, instead of relying on python ->
    python2 symlink
  * travis: add fc28 and fc29

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 09 Oct 2018 02:53:00 +0200

qubes-input-proxy (1.0.12-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Add tablet/touchscreen handling to qubes-input-trigger

  [ Frédéric Pierret ]
  * Fix remaining old define version

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 23 May 2018 22:01:08 +0200

qubes-input-proxy (1.0.11-1) unstable; urgency=medium

  [ Frédéric Pierret ]
  * Fix GCC8 warnings
  * Create .spec.in and Source0
  * spec.in: add changelog placeholder

  [ Marek Marczykowski-Górecki ]
  * travis: update Fedora versions
  * tests: Update for python 3
  * tests: make them working locally, outside qubes dom0
  * receiver: use helper function instead of raw bit operations
  * receiver: use UI_DEV_SETUP for device initialization
  * Add support for tablet/touchscreen devices
  * tests: simple test for tablet device
  * Add oss-fuzz integration
  * receiver: fix mem and fd leak
  * receiver: add --quiet and --verbose options
  * Use --quiet in oss-fuzz integration
  * tests: remove some unused buttons from tablet
  * Add qrexec service related files for tablet devices
  * gitignore update

  [ Frédéric Pierret ]
  * Use python3_pkgversion macro

  [ Marek Marczykowski-Górecki ]
  * travis: add centos7
  * rpm: add missing BR: systemd
  * rpm: add BR: python3-setuptools

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 02 May 2018 12:38:10 +0200

qubes-input-proxy (1.0.10-1) unstable; urgency=medium

  [ Andrew David Wong ]
  * Move security warning to qubes-doc

  [ Marek Marczykowski-Górecki ]
  * Add sudo configuration for post-GUI startup trigger
  * Ignore platform devices exposed by qemu in HVM

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 05 Jul 2017 14:31:46 +0200

qubes-input-proxy (1.0.9-1) unstable; urgency=medium

  * travis: drop debootstrap workaround
  * Use ID_INPUT_KEY udev variable to detect "keyboard"
  * travis: drop Qubes 3.1, add Qubes 4.0

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 14 May 2017 23:33:27 +0200

qubes-input-proxy (1.0.8-1) wheezy; urgency=medium

  * tests: fix combined mouse+keyboard test
  * Update README
  * tests: enable networking before (trying to) download uinput module

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 19 Nov 2016 22:04:28 +0100

qubes-input-proxy (1.0.7-1) wheezy; urgency=medium

  * rpm/deb: add missing build-requires: python-setuptools
  * travis: initial version
  * debian: udevadm is in /bin
  * tests: skip on Whonix templates
  * tests: adjust for fc23-based dom0
  * tests: fix test for mouse+keyboard devices

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 17 Jul 2016 05:24:01 +0200

qubes-input-proxy (1.0.6-1) wheezy; urgency=medium

  * receiver: compile fix on Debian wheezy

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 01 Jun 2016 18:32:39 +0200

qubes-input-proxy (1.0.5-1) wheezy; urgency=medium

  [ unman ]
  * Initial release 1.0.4 for debian
  * Update to allow build from qubes-builder

  [ Marek Marczykowski-Górecki ]
  * Makefile fix
  * Pass original device name, then use it sanitized and prefixed with
    VM name
  * tests: initial version

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 17 May 2016 06:55:22 +0200

qubes-input-proxy (1.0.4-1) unstable; urgency=low

  * Initial release for debian

 -- unman <unman@thirdeyesecurity.org>  Wed, 11 May 2016 12:35:29 +0000

## qubes-input-proxy 1.0.15

=== Makefile ===

all:
	$(MAKE) -C src all

install:
	$(MAKE) -C src install
	$(MAKE) -C qubes-rpc install
	python2 setup.py install -O1 --root $(DESTDIR)
	python3 setup.py install -O1 --root $(DESTDIR)

clean:
	$(MAKE) -C src clean

=== qubes-rpc/Makefile ===
install:
	install -d $(DESTDIR)/usr/lib/systemd/system
	install -m 0644 \
		qubes-input-sender-keyboard@.service \
		qubes-input-sender-keyboard-mouse@.service \
		qubes-input-sender-mouse@.service \
		qubes-input-sender-tablet@.service \
		$(DESTDIR)/usr/lib/systemd/system
	install -d $(DESTDIR)/lib/udev/rules.d
	install -m 0644 qubes-input-proxy.rules \
		$(DESTDIR)/lib/udev/rules.d/90-qubes-input-proxy.rules
	install -m 0644 qubes-uinput.rules \
		$(DESTDIR)/lib/udev/rules.d/90-qubes-uinput.rules
	install -m 0644 -D qubes-uinput.modules \
		$(DESTDIR)/lib/modules-load.d/qubes-uinput.conf
	install -d $(DESTDIR)/etc/qubes-rpc
	install -m 0644 qubes.InputMouse $(DESTDIR)/etc/qubes-rpc
	install -m 0644 qubes.InputKeyboard $(DESTDIR)/etc/qubes-rpc
	install -m 0644 qubes.InputTablet $(DESTDIR)/etc/qubes-rpc
	install -m 0664 -D qubes.InputMouse.policy \
		$(DESTDIR)/etc/qubes-rpc/policy/qubes.InputMouse
	install -m 0664 -D qubes.InputKeyboard.policy \
		$(DESTDIR)/etc/qubes-rpc/policy/qubes.InputKeyboard
	install -m 0664 -D qubes.InputTablet.policy \
		$(DESTDIR)/etc/qubes-rpc/policy/qubes.InputTablet
	install -m 0755 -D qubes-input-trigger \
		$(DESTDIR)/usr/bin/qubes-input-trigger
	install -m 0644 -D qubes-input-trigger.desktop \
		$(DESTDIR)/etc/xdg/autostart/qubes-input-trigger.desktop
	install -m 0600 -D qubes-input-trigger.sudoers \
		$(DESTDIR)/etc/sudoers.d/qubes-input-trigger

=== debian/changelog ===
qubes-input-proxy (1.0.15-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Sun, 07 Apr 2019 21:52:57 +0200

qubes-input-proxy (1.0.15-1) unstable; urgency=medium

  * Convert qubes-input-trigger to python3
  * travis: update Fedora and Debian versions, switch to xenial
  * travis: drop R3.2

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 07 Apr 2019 21:52:57 +0200

## qubes-input-proxy 1.0.16

=== debian/changelog ===
qubes-input-proxy (1.0.16-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Mon, 18 Nov 2019 05:35:22 +0100

qubes-input-proxy (1.0.16-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * travis: switch to bionic

  [ Marek Marczykowski-Górecki ]
  * Drop python2 packaging
  * travis: drop jessie, add fc31

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 18 Nov 2019 05:35:22 +0100

## qubes-input-proxy 1.0.17

=== debian/changelog ===
qubes-input-proxy (1.0.17-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Wed, 26 Feb 2020 04:59:26 +0100

qubes-input-proxy (1.0.17-1) unstable; urgency=medium

  * Make files in /etc/qubes-rpc a proper scripts

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 26 Feb 2020 04:59:26 +0100

## qubes-input-proxy 1.0.18

=== Makefile ===

all:
	$(MAKE) -C src all

install:
	$(MAKE) -C src install
	$(MAKE) -C qubes-rpc install
	python3 setup.py install -O1 --root $(DESTDIR)

clean:
	$(MAKE) -C src clean

=== qubes-rpc/Makefile ===
--- 
+++ 
@@ -14,9 +14,9 @@
 	install -m 0644 -D qubes-uinput.modules \
 		$(DESTDIR)/lib/modules-load.d/qubes-uinput.conf
 	install -d $(DESTDIR)/etc/qubes-rpc
-	install -m 0644 qubes.InputMouse $(DESTDIR)/etc/qubes-rpc
-	install -m 0644 qubes.InputKeyboard $(DESTDIR)/etc/qubes-rpc
-	install -m 0644 qubes.InputTablet $(DESTDIR)/etc/qubes-rpc
+	install qubes.InputMouse $(DESTDIR)/etc/qubes-rpc
+	install qubes.InputKeyboard $(DESTDIR)/etc/qubes-rpc
+	install qubes.InputTablet $(DESTDIR)/etc/qubes-rpc
 	install -m 0664 -D qubes.InputMouse.policy \
 		$(DESTDIR)/etc/qubes-rpc/policy/qubes.InputMouse
 	install -m 0664 -D qubes.InputKeyboard.policy \

=== debian/changelog ===
qubes-input-proxy (1.0.18-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Sun, 15 Mar 2020 04:21:10 +0100

qubes-input-proxy (1.0.18-1) unstable; urgency=medium

  * tests: fix delayed GUI start

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 15 Mar 2020 04:21:10 +0100

## qubes-input-proxy 1.0.19

=== Makefile ===

all:
	$(MAKE) -C src all

install: install-vm install-dom0

install-vm:
	$(MAKE) -C src install
	$(MAKE) -C qubes-rpc install-vm

install-dom0:
	$(MAKE) -C qubes-rpc install-dom0
	python3 setup.py install -O1 --root $(DESTDIR)

clean:
	$(MAKE) -C src clean

=== qubes-rpc/Makefile ===
--- 
+++ 
@@ -1,4 +1,14 @@
-install:
+install: install-vm install-dom0
+
+install-dom0:
+	install -m 0664 -D qubes.InputMouse.policy \
+		$(DESTDIR)/etc/qubes-rpc/policy/qubes.InputMouse
+	install -m 0664 -D qubes.InputKeyboard.policy \
+		$(DESTDIR)/etc/qubes-rpc/policy/qubes.InputKeyboard
+	install -m 0664 -D qubes.InputTablet.policy \
+		$(DESTDIR)/etc/qubes-rpc/policy/qubes.InputTablet
+
+install-vm:
 	install -d $(DESTDIR)/usr/lib/systemd/system
 	install -m 0644 \
 		qubes-input-sender-keyboard@.service \
@@ -17,12 +27,6 @@
 	install qubes.InputMouse $(DESTDIR)/etc/qubes-rpc
 	install qubes.InputKeyboard $(DESTDIR)/etc/qubes-rpc
 	install qubes.InputTablet $(DESTDIR)/etc/qubes-rpc
-	install -m 0664 -D qubes.InputMouse.policy \
-		$(DESTDIR)/etc/qubes-rpc/policy/qubes.InputMouse
-	install -m 0664 -D qubes.InputKeyboard.policy \
-		$(DESTDIR)/etc/qubes-rpc/policy/qubes.InputKeyboard
-	install -m 0664 -D qubes.InputTablet.policy \
-		$(DESTDIR)/etc/qubes-rpc/policy/qubes.InputTablet
 	install -m 0755 -D qubes-input-trigger \
 		$(DESTDIR)/usr/bin/qubes-input-trigger
 	install -m 0644 -D qubes-input-trigger.desktop \

=== debian/changelog ===
qubes-input-proxy (1.0.19-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Tue, 11 Aug 2020 19:25:46 +0200

qubes-input-proxy (1.0.19-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * tests: wait for user session on R4.0+ too
  * rpm: split receiver part into a separate package
  * debian: add /lib/modules-load.d/qubes-uinput.conf, update packaging

  [ Frédéric Pierret (fepitre) ]
  * Update travis

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 11 Aug 2020 19:25:46 +0200

## qubes-input-proxy 1.0.20

=== debian/changelog ===
qubes-input-proxy (1.0.20-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Sat, 10 Oct 2020 04:21:14 +0200

qubes-input-proxy (1.0.20-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Add script for trigger sending dom0 ps2 devices
  * qubes-input-sender-*: add third party script to handle dom0 and VM
  * Send every non qubes devices from dom0 to sys-gui-gpu
  * Simplify method for dom0/VM input trigger
  * Filter out QEMU tablet provided by HVM
  * Refactor qubes-input-trigger to be used by udev rules
  * Use --dom0 switch to allow or not virtual, acpi or platform devices
  * tests: remove leftover previous attempts

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 10 Oct 2020 04:21:14 +0200

## qubes-input-proxy 1.0.21

=== debian/changelog ===
qubes-input-proxy (1.0.21-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Sun, 01 Nov 2020 00:38:41 +0100

qubes-input-proxy (1.0.21-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Add test for QEMU tablet filtering
  * rpm: claim ownership over python package dir itself

  [ Frédéric Pierret (fepitre) ]
  * Fix filtering of QEMU tablet from sys-usb to dom0

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 01 Nov 2020 00:38:41 +0100

## qubes-input-proxy 1.0.22

=== debian/changelog ===
qubes-input-proxy (1.0.22-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Tue, 03 Nov 2020 04:52:19 +0100

qubes-input-proxy (1.0.22-1) unstable; urgency=medium

  * Second attempt at filtering QEMU USB tablet
  * Use rpm-dictated python3 version

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 03 Nov 2020 04:52:19 +0100

## qubes-input-proxy 1.0.23

=== debian/changelog ===
qubes-input-proxy (1.0.23-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Sun, 03 Jan 2021 06:35:41 +0100

qubes-input-proxy (1.0.23-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Add .gitlab-ci.yml

  [ Marek Marczykowski-Górecki ]
  * Update sudo rules for new startup trigger mechanism
  * Don't use sudo when already running as root

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 03 Jan 2021 06:35:41 +0100

## qubes-input-proxy 1.0.24

=== qubes-rpc/Makefile ===
--- 
+++ 
@@ -29,6 +29,8 @@
 	install qubes.InputTablet $(DESTDIR)/etc/qubes-rpc
 	install -m 0755 -D qubes-input-trigger \
 		$(DESTDIR)/usr/bin/qubes-input-trigger
+	install -m 0755 -D qubes-input-sender \
+		$(DESTDIR)/usr/bin/qubes-input-sender
 	install -m 0644 -D qubes-input-trigger.desktop \
 		$(DESTDIR)/etc/xdg/autostart/qubes-input-trigger.desktop
 	install -m 0600 -D qubes-input-trigger.sudoers \

=== debian/changelog ===
qubes-input-proxy (1.0.24-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Fri, 09 Jul 2021 06:06:20 +0200

qubes-input-proxy (1.0.24-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * spec: add BR make

  [ Marek Marczykowski-Górecki ]
  * Automatically detect dom0
  * Avoid forwarding dom0 devices back to dom0

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 09 Jul 2021 06:06:20 +0200

## qubes-input-proxy 1.0.26

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,4 @@
+PYTHON ?= python3
 
 all:
 	$(MAKE) -C src all
@@ -10,7 +11,7 @@
 
 install-dom0:
 	$(MAKE) -C qubes-rpc install-dom0
-	python3 setup.py install -O1 --root $(DESTDIR)
+	$(PYTHON) setup.py install -O1 --root $(DESTDIR)
 
 clean:
 	$(MAKE) -C src clean

=== qubes-rpc/Makefile ===
--- 
+++ 
@@ -1,4 +1,7 @@
 install: install-vm install-dom0
+
+LIBDIR ?= /lib
+USRLIBDIR ?= /usr/lib
 
 install-dom0:
 	install -m 0664 -D qubes.InputMouse.policy \
@@ -9,20 +12,20 @@
 		$(DESTDIR)/etc/qubes-rpc/policy/qubes.InputTablet
 
 install-vm:
-	install -d $(DESTDIR)/usr/lib/systemd/system
+	install -d $(DESTDIR)$(USRLIBDIR)/systemd/system
 	install -m 0644 \
 		qubes-input-sender-keyboard@.service \
 		qubes-input-sender-keyboard-mouse@.service \
 		qubes-input-sender-mouse@.service \
 		qubes-input-sender-tablet@.service \
-		$(DESTDIR)/usr/lib/systemd/system
-	install -d $(DESTDIR)/lib/udev/rules.d
+		$(DESTDIR)$(USRLIBDIR)/systemd/system
+	install -d $(DESTDIR)$(LIBDIR)/udev/rules.d
 	install -m 0644 qubes-input-proxy.rules \
-		$(DESTDIR)/lib/udev/rules.d/90-qubes-input-proxy.rules
+		$(DESTDIR)$(LIBDIR)/udev/rules.d/90-qubes-input-proxy.rules
 	install -m 0644 qubes-uinput.rules \
-		$(DESTDIR)/lib/udev/rules.d/90-qubes-uinput.rules
+		$(DESTDIR)$(LIBDIR)/udev/rules.d/90-qubes-uinput.rules
 	install -m 0644 -D qubes-uinput.modules \
-		$(DESTDIR)/lib/modules-load.d/qubes-uinput.conf
+		$(DESTDIR)$(LIBDIR)/modules-load.d/qubes-uinput.conf
 	install -d $(DESTDIR)/etc/qubes-rpc
 	install qubes.InputMouse $(DESTDIR)/etc/qubes-rpc
 	install qubes.InputKeyboard $(DESTDIR)/etc/qubes-rpc

=== debian/changelog ===
qubes-input-proxy (1.0.26-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Sat, 08 Jan 2022 05:52:47 +0100

qubes-input-proxy (1.0.26-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * debian: use USRLIBDIR instead of patch

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 08 Jan 2022 05:52:47 +0100

qubes-input-proxy (1.0.25-1) unstable; urgency=medium

  [ Nedyalko Andreev ]
  * Add support for building Archlinux packages

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 26 Oct 2021 03:31:06 +0200

## qubes-input-proxy 1.0.27

=== debian/changelog ===
qubes-input-proxy (1.0.27-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Thu, 06 Oct 2022 18:21:04 +0200

qubes-input-proxy (1.0.27-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Drop Travis CI
  * Add Qubes Builder v2 integration

  [ Locria Cyber ]
  * Fix sudoers.d permission to 600; add build documentation for arch
    linux

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 06 Oct 2022 18:21:04 +0200

## qubes-input-proxy 1.0.28

=== debian/changelog ===
qubes-input-proxy (1.0.28-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Thu, 06 Oct 2022 18:32:43 +0200

qubes-input-proxy (1.0.28-1) unstable; urgency=medium

  * builderv2: Rename 'spec' to 'build'

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 06 Oct 2022 18:32:43 +0200

## qubes-input-proxy 1.0.29

=== debian/changelog ===
qubes-input-proxy (1.0.29-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Mon, 28 Nov 2022 04:40:20 +0100

qubes-input-proxy (1.0.29-1) unstable; urgency=medium

  * tests: Switch to own fork of python-uinput

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 28 Nov 2022 04:40:20 +0100

## qubes-input-proxy 1.0.30

=== debian/changelog ===
qubes-input-proxy (1.0.30-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Fri, 20 Jan 2023 13:20:12 +0100

qubes-input-proxy (1.0.30-1) unstable; urgency=medium

  * debian: drop dep on python2

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 20 Jan 2023 13:20:12 +0100

## qubes-input-proxy 1.0.31

=== debian/changelog ===
qubes-input-proxy (1.0.31-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Fri, 03 Feb 2023 19:19:41 +0100

qubes-input-proxy (1.0.31-1) unstable; urgency=medium

  * Drop legacy policy files

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 03 Feb 2023 19:19:41 +0100

## qubes-input-proxy 1.0.32

=== debian/changelog ===
qubes-input-proxy (1.0.32-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Wed, 26 Apr 2023 05:25:55 +0200

qubes-input-proxy (1.0.32-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Rework Archlinux packaging
  * Make new packaging compatible with legacy builder

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 26 Apr 2023 05:25:55 +0200

## qubes-input-proxy 1.0.33

=== debian/changelog ===
qubes-input-proxy (1.0.33-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Wed, 02 Aug 2023 18:54:20 +0200

qubes-input-proxy (1.0.33-1) unstable; urgency=medium

  * Ask for absolute events for PiKVM mouse

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 02 Aug 2023 18:54:20 +0200

## qubes-input-proxy 1.0.34

=== debian/changelog ===
qubes-input-proxy (1.0.34-1+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Tue, 19 Sep 2023 04:19:09 +0200

qubes-input-proxy (1.0.34-1) unstable; urgency=medium

  [ Everett Gally ]
  * exclude qubes virtual input device created by the gui agent from
    qubes-input-trigger. It still works if not excluded, but
    notifications about qubes.InputMouse and qubes.InputKeyboard will be
    raised every time a qube loads if not excluded.

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 19 Sep 2023 04:19:09 +0200

## qubes-input-proxy 1.0.35

=== debian/changelog ===
qubes-input-proxy (1.0.35-1+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Mon, 05 Feb 2024 04:32:23 +0100

qubes-input-proxy (1.0.35-1) unstable; urgency=medium

  * input-proxy-receiver: fix parameters order

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 05 Feb 2024 04:32:23 +0100

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


# main packaging script based on dh7 syntax
%:
	dh $@ 

# debmake generated override targets
# This is example for Cmake (See http://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- \
#	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

override_dh_auto_install:
	make install-vm DESTDIR=$(PWD)/debian/tmp USRLIBDIR=/lib

override_dh_missing:
	dh_missing --fail-missing

## qubes-input-proxy 1.0.36

=== debian/changelog ===
qubes-input-proxy (1.0.36-1+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Wed, 01 May 2024 04:01:37 +0200

qubes-input-proxy (1.0.36-1) unstable; urgency=medium

  * tests: force installing with pip

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 01 May 2024 04:01:37 +0200

## qubes-input-proxy 1.0.37

=== qubes-rpc/Makefile ===
--- 
+++ 
@@ -36,5 +36,6 @@
 		$(DESTDIR)/usr/bin/qubes-input-sender
 	install -m 0644 -D qubes-input-trigger.desktop \
 		$(DESTDIR)/etc/xdg/autostart/qubes-input-trigger.desktop
-	install -m 0600 -D qubes-input-trigger.sudoers \
+	mkdir -p -m 0750 $(DESTDIR)/etc/sudoers.d
+	install -m 0600 qubes-input-trigger.sudoers \
 		$(DESTDIR)/etc/sudoers.d/qubes-input-trigger

=== debian/changelog ===
qubes-input-proxy (1.0.37-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Tue, 16 Jul 2024 02:18:17 +0200

qubes-input-proxy (1.0.37-1) unstable; urgency=medium

  [ M. Vefa Bicakci ]
  * input-proxy-sender: Mask LED events

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 16 Jul 2024 02:18:17 +0200

## qubes-input-proxy 1.0.38

=== debian/changelog ===
qubes-input-proxy (1.0.38-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Sun, 18 Aug 2024 14:59:03 +0200

qubes-input-proxy (1.0.38-1) unstable; urgency=medium

  [ M. Vefa Bicakci ]
  * input-proxy-sender: Add comment re: masking LED events

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 18 Aug 2024 14:59:03 +0200

## qubes-input-proxy 1.0.39

=== debian/changelog ===
qubes-input-proxy (1.0.39-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Fri, 08 Nov 2024 02:32:31 +0100

qubes-input-proxy (1.0.39-1) unstable; urgency=medium

  * Replace PiKVM special handling with more generic one

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 08 Nov 2024 02:32:31 +0100

## qubes-input-proxy 1.0.40

=== debian/changelog ===
qubes-input-proxy (1.0.40-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Fri, 22 Nov 2024 02:22:29 +0100

qubes-input-proxy (1.0.40-1) unstable; urgency=medium

  [ Marcus Ofenhed ]
  * Add ability to filter qubes input devices with udev rules

  [ Marek Marczykowski-Górecki ]
  * Fix parsing device capabilities
  * ci: drop R4.1, add R4.3

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 22 Nov 2024 02:22:29 +0100

## qubes-input-proxy 1.0.41

=== debian/changelog ===
qubes-input-proxy (1.0.41-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Sun, 06 Apr 2025 02:05:58 +0200

qubes-input-proxy (1.0.41-1) unstable; urgency=medium

  * rpm: adjust BR for directory ownership check in openSUSE
  * Move files from /lib to /usr/lib
  * Do not install dom0 files in openSUSE VM package
  * rpm: add BR: sudo for directory ownership

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 06 Apr 2025 02:05:58 +0200

## qubes-input-proxy 1.0.42

=== debian/changelog ===
qubes-input-proxy (1.0.42-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Tue, 20 May 2025 02:40:16 +0200

qubes-input-proxy (1.0.42-1) unstable; urgency=medium

  * Fix handling remove event

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 20 May 2025 02:40:16 +0200

## qubes-input-proxy 1.0.43

=== Makefile ===
PYTHON3 ?= python3

all:
	$(MAKE) -C src all

install: install-vm install-dom0

install-vm:
	$(MAKE) -C src install
	$(MAKE) -C qubes-rpc install-vm

install-dom0:
	$(MAKE) -C qubes-rpc install-dom0
	$(PYTHON3) setup.py install -O1 --root $(DESTDIR)

clean:
	$(MAKE) -C src clean

=== fuzz/Makefile ===

CFLAGS += -I../src

all: input-proxy-receiver_fuzzer input-proxy-receiver_fuzzer_seed_corpus.zip

input-proxy-receiver_fuzzer_seed_corpus.zip: seed-corpus-in/*.bin
	rm -rf seed-corpus
	mkdir -p seed-corpus
	for descr in seed-corpus-in/descriptor*.bin; do \
		for events in seed-corpus-in/events*.bin; do \
			cat $$descr $$events > seed-corpus/$$(basename $$descr)-$$(basename $$events); \
		done; \
	done
	zip -q -r $@ seed-corpus

input-proxy-receiver_fuzzer: common.o input-proxy-receiver.o input-proxy-receiver_fuzzer.o
	$(CXX) $(CXXFLAGS) -o $@ $^ $(LIB_FUZZING_ENGINE)

common.o: ../src/common.c
	$(CC) $(CFLAGS) -o $@ -c $^
input-proxy-receiver.o: ../src/input-proxy-receiver.c
	$(CC) $(CFLAGS) -o $@ -c $^

=== qubes-rpc/Makefile ===
--- 
+++ 
@@ -19,13 +19,13 @@
 		qubes-input-sender-mouse@.service \
 		qubes-input-sender-tablet@.service \
 		$(DESTDIR)$(USRLIBDIR)/systemd/system
-	install -d $(DESTDIR)$(LIBDIR)/udev/rules.d
+	install -d $(DESTDIR)$(USRLIBDIR)/udev/rules.d
 	install -m 0644 qubes-input-proxy.rules \
-		$(DESTDIR)$(LIBDIR)/udev/rules.d/90-qubes-input-proxy.rules
+		$(DESTDIR)$(USRLIBDIR)/udev/rules.d/90-qubes-input-proxy.rules
 	install -m 0644 qubes-uinput.rules \
-		$(DESTDIR)$(LIBDIR)/udev/rules.d/90-qubes-uinput.rules
+		$(DESTDIR)$(USRLIBDIR)/udev/rules.d/90-qubes-uinput.rules
 	install -m 0644 -D qubes-uinput.modules \
-		$(DESTDIR)$(LIBDIR)/modules-load.d/qubes-uinput.conf
+		$(DESTDIR)$(USRLIBDIR)/modules-load.d/qubes-uinput.conf
 	install -d $(DESTDIR)/etc/qubes-rpc
 	install qubes.InputMouse $(DESTDIR)/etc/qubes-rpc
 	install qubes.InputKeyboard $(DESTDIR)/etc/qubes-rpc

=== src/Makefile ===
CFLAGS += -g -Wall -Wextra -Werror -O2 -std=gnu99

# See GCC bug #53229 and #64709
CFLAGS += -Wno-missing-braces -Wno-missing-field-initializers

all: input-proxy-sender input-proxy-receiver

input-proxy-sender: input-proxy-sender.o common.o
input-proxy-receiver: input-proxy-receiver.o common.o

clean:
	rm -f *.o input-proxy-sender input-proxy-receiver

install:
	install -d $(DESTDIR)/usr/bin
	install input-proxy-sender $(DESTDIR)/usr/bin/input-proxy-sender
	install input-proxy-receiver $(DESTDIR)/usr/bin/input-proxy-receiver

=== debian/changelog ===
qubes-input-proxy (1.0.43-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Tue, 05 Aug 2025 13:55:50 +0200

qubes-input-proxy (1.0.43-1) unstable; urgency=medium

  [ Vertex X7-53 ]
  * Handle additional PCIe bus address for QEMU emulated tablet

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 05 Aug 2025 13:55:50 +0200

=== debian/control ===
Source: qubes-input-proxy
Section: utils
Priority: optional
Maintainer: unman <unman@thirdeyesecurity.org>
Build-Depends: debhelper (>= 9), python3-setuptools
Standards-Version: 3.9.6
Homepage:  http://www.qubes-os.org

Package: qubes-input-proxy-sender
Architecture: any
Depends: ${shlibs:Depends}, qubes-core-agent(>=3.0.25)
Description: Provides Simple input events proxy
 This package is intended to run in a qube with physical input device attached
 (for example USB VM). It sends events to a listener in dom0 which passes
 them to an emulated device.

Package: qubes-input-proxy-receiver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Provides Simple input events proxy receiver
 This package installs a listener in dom0 which passes events to an
 emulated device.

=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 #	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)
 
 override_dh_auto_install:
-	make install-vm DESTDIR=$(PWD)/debian/tmp USRLIBDIR=/lib
+	make install-vm DESTDIR=$(PWD)/debian/tmp
 
 override_dh_missing:
 	dh_missing --fail-missing

## qubes-input-proxy 1.0.44

=== qubes-rpc/Makefile ===
--- 
+++ 
@@ -26,6 +26,8 @@
 		$(DESTDIR)$(USRLIBDIR)/udev/rules.d/90-qubes-uinput.rules
 	install -m 0644 -D qubes-uinput.modules \
 		$(DESTDIR)$(USRLIBDIR)/modules-load.d/qubes-uinput.conf
+	install -m 0755 -D input-proxy-arg \
+		$(DESTDIR)$(USRLIBDIR)/qubes/input-proxy-arg
 	install -d $(DESTDIR)/etc/qubes-rpc
 	install qubes.InputMouse $(DESTDIR)/etc/qubes-rpc
 	install qubes.InputKeyboard $(DESTDIR)/etc/qubes-rpc

=== debian/changelog ===
qubes-input-proxy (1.0.44-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Thu, 18 Sep 2025 00:20:35 +0200

qubes-input-proxy (1.0.44-1) unstable; urgency=medium

  * Add device info to qrexec call argument

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 18 Sep 2025 00:20:35 +0200

## qubes-input-proxy 1.0.45

=== debian/changelog ===
qubes-input-proxy (1.0.45-1+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Thu, 13 Nov 2025 17:07:49 +0100

qubes-input-proxy (1.0.45-1) unstable; urgency=medium

  [ Vertex X7-53 ]
  * Add device serial to qrexec call argument

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 13 Nov 2025 17:07:49 +0100
